/*  Power Station Industrializer
 *  Copyright (c) 2000 David A. Bartold
 *  Copyrigth (c) 2005-2020 Yury Aliaev
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _PSI_INTERFACE_H
#define _PSI_INTERFACE_H

#include <gtk/gtk.h>

void gui_create_AppWindow(guint driver);
gboolean gui_combo_box_prepend_text_or_set_active(GtkWidget *combobox, const gchar *text);

void gui_message_dialog(GtkWidget** dialog,
    const gchar* text,
    GtkMessageType type,
    const gchar* title);
#define gui_error_dialog(dialog, text)\
    gui_message_dialog(dialog, text, GTK_MESSAGE_ERROR, N_("Error!"))
void gui_errno_dialog(const gchar *text, const gint err);

#endif
